#!/bin/sh
export PATH='/usr/lib/distcc/bin:/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: free
version: 5.1
id: free-5.1-4OdmiHxhNC4BBxjOvZsZyY
key: free-5.1-4OdmiHxhNC4BBxjOvZsZyY
license: BSD-3-Clause
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
author: Edward A. Kmett
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
abi: 0e71701d42031b7b2f6e35d724ca1e62
exposed: True
exposed-modules:
    Control.Alternative.Free Control.Alternative.Free.Final
    Control.Applicative.Free Control.Applicative.Free.Fast
    Control.Applicative.Free.Final Control.Applicative.Trans.Free
    Control.Comonad.Cofree Control.Comonad.Cofree.Class
    Control.Comonad.Trans.Cofree Control.Comonad.Trans.Coiter
    Control.Monad.Free Control.Monad.Free.Ap Control.Monad.Free.Church
    Control.Monad.Free.Class Control.Monad.Free.TH
    Control.Monad.Trans.Free Control.Monad.Trans.Free.Ap
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
hidden-modules: Data.Functor.Classes.Compat
import-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.1
library-dirs: /usr/lib/ghc-8.4.3/site-local/free-5.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/arm-linux-ghc-8.4.3/free-5.1
hs-libraries: HSfree-5.1-4OdmiHxhNC4BBxjOvZsZyY
includes:
    free-common.h
depends:
    base-4.11.1.0 comonad-5.0.4-1wEpSKXSOqdDu1P6kQFIcu
    distributive-0.5.3-GkLJRNLD9XiKYtfBOojYeK mtl-2.2.2
    profunctors-5.3-4mxrwQjuqn81hFPy69nOnA
    semigroupoids-5.3.1-c86yxBHNerIbUiyudjhsi transformers-0.5.5.0
    transformers-base-0.4.5.2-5lZG7zcu5n88PiL2AgOVTn
    template-haskell-2.13.0.0 exceptions-0.10.0-391qhPSiPEU3NJgxhfdaPf
    containers-0.5.11.0
abi-depends: base-4.11.1.0=a3fb1645bafaa89172454c2eea8dfdc9
             comonad-5.0.4-1wEpSKXSOqdDu1P6kQFIcu=de701dde6e417b727d21ef4c1b62174e
             distributive-0.5.3-GkLJRNLD9XiKYtfBOojYeK=951f97a89da13cd82c5faf083ce86816
             mtl-2.2.2=0b3b35c3b96c7607606ed10087c4aa4a
             profunctors-5.3-4mxrwQjuqn81hFPy69nOnA=58eb5f2f51b1a3600a850d5373d0b219
             semigroupoids-5.3.1-c86yxBHNerIbUiyudjhsi=da0cd4cb324a601bf35afe2c3b5af4fd
             transformers-0.5.5.0=4f41484af13f560f1d83ed79e1be4572
             transformers-base-0.4.5.2-5lZG7zcu5n88PiL2AgOVTn=717b04fa9c4ac9f0c16847f16e279a2e
             template-haskell-2.13.0.0=ac7dfd04924d4ebfa90a119ad22a36cc
             exceptions-0.10.0-391qhPSiPEU3NJgxhfdaPf=7910067871295cb7f4f6699a852863a6
             containers-0.5.11.0=94bb4831ae701bd40855b2dc2d65cf7c
haddock-interfaces: /usr/share/doc/haskell-free/html/free.haddock
haddock-html: /usr/share/doc/haskell-free/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

